Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class DefRegHandler

    java.lang.Object
      com.verisign.epp.framework.EPPDefRegHandler
          com.verisign.epp.serverstub.DefRegHandler

All Implemented Interfaces:
  EPPEventHandler

    public class DefRegHandler

extends EPPDefRegHandler

The `DefRegHandler` class is a concrete implementation of the abstract `com.verisign.epp.framework.EPPDefRegHandler` class. It defines the Server's response to all received EPP DefReg Commands.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPEvent`, `EPPEventResponse`

Constructor Summary
`DefRegHandler()` Constructs an instance of EPPDefRegHandler

Method Summary
`protected EPPEventResponse` | `doDefRegCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPDefReg Check command is received.
`protected EPPEventResponse` | `doDefRegCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPDefReg Create command is received.
`protected EPPEventResponse` | `doDefRegDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPDefReg Delete command is received.
`protected EPPEventResponse` | `doDefRegInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPDefReg Info command is received.
`protected EPPEventResponse` | `doDefRegRenew(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPDefReg Renew command is received.
`protected EPPEventResponse` | `doDefRegTransfer(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPDefReg Transfer command is received.
`protected EPPEventResponse` | `doDefRegUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a EPPDefReg Update command is received.
`protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all EPPDefReg commands need to execute after they execute their command specific behavior.
`protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all EPPDefReg commands need to execute before they execute their command specific behavior.

Methods inherited from class com.verisign.epp.framework.EPPDefRegHandler
`getNamespace, handleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefRegHandler

    public DefRegHandler()

  Constructs an instance of EPPDefRegHandler

Method Detail

### preHandleEvent

    protected void preHandleEvent(EPPEvent aEvent,
                                  java.lang.Object aData)
                           throws EPPHandleEventException

  Handles any common behavior that all EPPDefReg commands need to execute before they execute their command specific behavior.

  Overrides:
    `preHandleEvent` in class `EPPDefRegHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEPPDefRegHandler` This is assumed to be an instance of SessionData here.
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### postHandleEvent

    protected void postHandleEvent(EPPEvent aEvent,
                                   java.lang.Object aData)
                            throws EPPHandleEventException

  Handles any common behavior that all EPPDefReg commands need to execute after they execute their command specific behavior.

  Overrides:
    `postHandleEvent` in class `EPPDefRegHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEPPDefRegHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### doDefRegCheck

    protected EPPEventResponse doDefRegCheck(EPPEvent aEvent,
                                             java.lang.Object aData)

  Invoked when a EPPDefReg Check command is received.

  Specified by:
    `doDefRegCheck` in class `EPPDefRegHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEPPDefRegdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDefRegRenew

    protected EPPEventResponse doDefRegRenew(EPPEvent aEvent,
                                             java.lang.Object aData)

  Invoked when a EPPDefReg Renew command is received.

  Specified by:
    `doDefRegRenew` in class `EPPDefRegHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEPPDefRegdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDefRegDelete

    protected EPPEventResponse doDefRegDelete(EPPEvent aEvent,
                                              java.lang.Object aData)

  Invoked when a EPPDefReg Delete command is received.

  Specified by:
    `doDefRegDelete` in class `EPPDefRegHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEPPDefRegdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDefRegCreate

    protected EPPEventResponse doDefRegCreate(EPPEvent aEvent,
                                              java.lang.Object aData)

  Invoked when a EPPDefReg Create command is received.

  Specified by:
    `doDefRegCreate` in class `EPPDefRegHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEPPDefRegdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDefRegTransfer

    protected EPPEventResponse doDefRegTransfer(EPPEvent aEvent,
                                                java.lang.Object aData)

  Invoked when a EPPDefReg Transfer command is received.

  Specified by:
    `doDefRegTransfer` in class `EPPDefRegHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEPPDefRegdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDefRegUpdate

    protected EPPEventResponse doDefRegUpdate(EPPEvent aEvent,
                                              java.lang.Object aData)

  Invoked when a EPPDefReg Update command is received.

  Specified by:
    `doDefRegUpdate` in class `EPPDefRegHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEPPDefRegdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDefRegInfo

    protected EPPEventResponse doDefRegInfo(EPPEvent aEvent,
                                            java.lang.Object aData)

  Invoked when a EPPDefReg Info command is received.

  Specified by:
    `doDefRegInfo` in class `EPPDefRegHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPEPPDefRegdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.